package fr.itsonus.bousoleplussbackend.projections;

import fr.itsonus.bousoleplussbackend.models.Quiz;
import fr.itsonus.bousoleplussbackend.models.Response;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.data.rest.core.config.Projection;

import java.util.Map;
import java.util.Set;

@Projection(name = "responseWithQuestion", types = { Quiz.class })
public interface QuizWithResponses {

    String getCreatedDate();

    @Value("#{target.getResponses()}")
    Set<ResponseWithQuestion> getResponses();

//    @Value("#{target.getResponses().stream().collect(Collectors.toMap(value -> value, value -> value.length()))}")
//    Map<Integer, ResponseWithQuestion> getResponses();
}
