import Vue from 'vue'

Vue.filter('formatDate', (value: string) => {
  const date = new Date(value);
  return `${(date.getDate() > 9 ? '' : '0')
  + date.getDate()}/${((date.getMonth() + 1) > 9 ? "" : "0")
  + (date.getMonth() + 1)}/${date.getFullYear()}`;
})

Vue.filter('formatRate', (value: number) => {
  return value.toFixed(1);
})

